
#          -------------------------------------------------------
#                  Syslog Logging Directives for DAS-Logger 
#          -------------------------------------------------------
# Define the template used for sending logs to DAS-Logger. Do not change this format.
$template DASLoggerFormat,"<%PRI%>%timegenerated% %HOSTNAME% %syslogtag% %msg%\n"

$WorkDirectory /var/lib/rsyslog # where to place spool files
$ActionQueueFileName fwdRule1 # unique name prefix for spool files
$ActionQueueMaxDiskSpace 1g   # 1gb space limit (use as much as possible)
$ActionQueueSaveOnShutdown on # save messages to disk on shutdown
$ActionQueueType LinkedList   # run asynchronously
$ActionResumeRetryCount -1    # infinite retries if host is down

# Send messages to DAS-Logger over UDP using the template.
*.*             @LOGIP:514;DASLoggerFormat
#     -------------------------------------------------------
 
